package com.dc.standard.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Description: ERP物料表
 * @Author: cc-admin
 * @Date: 2022-04-11
 * @Version: V1.0.0
 */
@Data
@TableName("ERP_MATERIAL")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ERP_MATERIAL对象", description = "ERP物料表")
public class ErpMaterial{
	@ApiModelProperty(value = "物料名称")
	private String zwlmc;
    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private String id;
    /**
     * DEL_FLAG
     */
    @ApiModelProperty(value = "删除标志")
    private String delFlag;
    /**
     * CREATE_BY
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * CREATE_TIME
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * UPDATE_BY
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * UPDATE_TIME
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    /**
     * SECRET_DEGREE
     */
    @ApiModelProperty(value = "密级")
    private String secretDegree;
    /**
     * 物料编码
     */
    @ApiModelProperty(value = "	物料编码")
    private String matnr;
    /**
     * 外部长物料编码
     */
    @ApiModelProperty(value = "	外部长物料编码 ")
    private String matnrExt;
    /**
     * 创建日期
     */
    @ApiModelProperty(value = "创建日期")
    private String ersda;
    /**
     * 创建对象的人员名称
     */
    @ApiModelProperty(value = "创建对象的人员名称 ")
    private String ernam;
    /**
     * 上次更改的日期
     */
    @ApiModelProperty(value = "上次更改的日期 ")
    private String laeda;
    /**
     * 更改对象用户的名称
     */
    @ApiModelProperty(value = "更改对象用户的名称 ")
    private String aenam;
    /**
     * 维护全部物料状态
     */
    @ApiModelProperty(value = "维护全部物料状态 ")
    private String vpsta;
    /**
     * 在客户级标记要删除的物料
     */
    @ApiModelProperty(value = "在客户级标记要删除的物料")
    private String lvorm;
    /**
     * 物料类型
     */
    @ApiModelProperty(value = "物料类型")
	//@Dict(dicCode = "mtart")
    private String mtart;
    /**
     * 行业领域
     */
    
    @ApiModelProperty(value = "行业领域")
    private String mbrsh;
    /**
     * 物料组
     */
    
    @ApiModelProperty(value = "物料组 ")
    private String matkl;
    /**
     * 旧物物料编码
     */
    
    @ApiModelProperty(value = "旧物物料编码")
    private String bismt;
    /**
     * 基本计量单位
     */
    
    @ApiModelProperty(value = "基本计量单位")
    private String meins;
    /**
     * 订单单位
     */
    
    @ApiModelProperty(value = "订单单位")
    private String bstme;
    /**
     * 文档号码(无文档管理系统)
     */
    
    @ApiModelProperty(value = "文档号码(无文档管理系统)")
    private String zeinr;
    /**
     * 凭证类型(无凭证管理系统)
     */
    
    @ApiModelProperty(value = "凭证类型(无凭证管理系统)")
    private String zeiar;
    /**
     * 文档变更号(无文档管理系统)
     */
    
    @ApiModelProperty(value = "文档变更号(无文档管理系统)")
    private String aeszn;
    /**
     * 凭证的页号(不带凭证管理系统)
     */
    
    @ApiModelProperty(value = "凭证的页号(不带凭证管理系统)")
    private String blatt;
    /**
     * 页数(没有凭证管理系统)
     */
    
    @ApiModelProperty(value = "页数(没有凭证管理系统)")
    private String blanz;
    /**
     * 生产/检验备忘录
     */
    
    @ApiModelProperty(value = "生产/检验备忘录")
    private String ferth;
    /**
     * 生产备忘录的页格式
     */
    
    @ApiModelProperty(value = "生产备忘录的页格式 ")
    private String formt;
    /**
     * 大小/量纲
     */
    
    @ApiModelProperty(value = "大小/量纲")
    private String groes;
    /**
     * 基本物料
     */
    
    @ApiModelProperty(value = "基本物料")
    private String wrkst;
    /**
     * 工业标准描述 (例如 ANSI 或 ISO)
     */
    
    @ApiModelProperty(value = "工业标准描述 (例如 ANSI 或 ISO)")
    private String normt;
    /**
     * 实验室/设计室
     */
    
    @ApiModelProperty(value = "实验室/设计室 ")
    private String labor;
    /**
     * 采购价值代码
     */
    
    @ApiModelProperty(value = "采购价值代码 ")
    private String ekwsl;
    /**
     * 毛重
     */
    
    @ApiModelProperty(value = "毛重")
    private String brgew;
    /**
     * 净重
     */
    
    @ApiModelProperty(value = "净重 ")
    private String ntgew;
    /**
     * 重量单位
     */
    
    @ApiModelProperty(value = "重量单位")
    private String gewei;
    /**
     * 业务量
     */
    
    @ApiModelProperty(value = "业务量 ")
    private String volum;
    /**
     * 体积单位
     */
    
    @ApiModelProperty(value = "体积单位")
    private String voleh;
    /**
     * 容器需求
     */
    
    @ApiModelProperty(value = "容器需求 ")
    private String behvo;
    /**
     * 存储条件
     */
    
    @ApiModelProperty(value = "存储条件")
    private String raube;
    /**
     * 温度条件标识
     */
    
    @ApiModelProperty(value = "温度条件标识")
    private String tempb;
    /**
     * 低层代码
     */
    
    @ApiModelProperty(value = "低层代码")
    private String disst;
    /**
     * 运输组
     */
    
    @ApiModelProperty(value = "运输组 ")
    private String tragr;
    /**
     * 危险物物料编码
     */
    
    @ApiModelProperty(value = "危险物物料编码 ")
    private String stoff;
    /**
     * 产品组
     */
    
    @ApiModelProperty(value = "产品组 ")
    private String spart;
    /**
     * 竞争者
     */
    
    @ApiModelProperty(value = "竞争者 ")
    private String kunnr;
    /**
     * 欧洲物品号 (EAN) - 已过时的 !!!!!
     */
    
    @ApiModelProperty(value = "欧洲物品号 (EAN) - 已过时的 !!!!!")
    private String eannr;
    /**
     * 数量: 待打印的 GR/GI 单数量
     */
    
    @ApiModelProperty(value = "数量: 待打印的 GR/GI 单数量 ")
    private String wesch;
    /**
     * 采购规则
     */
    
    @ApiModelProperty(value = "采购规则")
    private String bwvor;
    /**
     * 季节类别
     */
    
    @ApiModelProperty(value = "季节类别")
    private String saiso;
    /**
     * 标签类型
     */
    
    @ApiModelProperty(value = "标签类型")
    private String etiar;
    /**
     * 标签格式
     */
    
    @ApiModelProperty(value = "标签格式")
    private String etifo;
    /**
     * 已取消激活
     */
    
    @ApiModelProperty(value = "已取消激活 ")
    private String entar;
    /**
     * 国际文件号(EAN/UPC)
     */
    
    @ApiModelProperty(value = "国际文件号(EAN/UPC)")
    private String ean11;
    /**
     * 国际商品编码的类别 (EAN)
     */
    
    @ApiModelProperty(value = "国际商品编码的类别 (EAN)")
    private String numtp;
    /**
     * 长度
     */
    
    @ApiModelProperty(value = "长度")
    private String laeng;
    /**
     * 宽度
     */
    
    @ApiModelProperty(value = "宽度")
    private String breit;
    /**
     * 高度
     */
    
    @ApiModelProperty(value = "高度")
    private String hoehe;
    /**
     * 长度/宽度/高度的尺寸单位
     */
    
    @ApiModelProperty(value = "长度/宽度/高度的尺寸单位 ")
    private String meabm;
    /**
     * 产品层次
     */
    
    @ApiModelProperty(value = "产品层次")
    private String prdha;
    /**
     * 库存转移净改变成本核算
     */
    
    @ApiModelProperty(value = "库存转移净改变成本核算")
    private String aeklk;
    /**
     * CAD 标识
     */
    
    @ApiModelProperty(value = "CAD 标识")
    private String cadkz;
    /**
     * 激活采购中的 QM
     */
    
    @ApiModelProperty(value = "激活采购中的 QM")
    private String qmpur;
    /**
     * 允许的包装重量
     */
    
    @ApiModelProperty(value = "允许的包装重量 ")
    private String ergew;
    /**
     * 加权的单位(允许打包加权)
     */
    
    @ApiModelProperty(value = "加权的单位(允许打包加权)")
    private String ergei;
    /**
     * 允许的包装体积
     */
    
    @ApiModelProperty(value = "允许的包装体积 ")
    private String ervol;
    /**
     * 体积单位(允许打包体积)
     */
    
    @ApiModelProperty(value = "体积单位(允许打包体积)")
    private String ervoe;
    /**
     * 处理单位的超重量容差
     */
    
    @ApiModelProperty(value = "处理单位的超重量容差")
    private String gewto;
    /**
     * 处理单位的超量冗差
     */
    
    @ApiModelProperty(value = "处理单位的超量冗差 ")
    private String volto;
    /**
     * 可变采购订单单位活动
     */
    
    @ApiModelProperty(value = "可变采购订单单位活动")
    private String vabme;
    /**
     * 标识: 修改水平已分配到物料
     */
    
    @ApiModelProperty(value = "标识: 修改水平已分配到物料")
    private String kzrev;
    /**
     * 可配置的物料
     */
    
    @ApiModelProperty(value = "可配置的物料")
    private String kzkfg;
    /**
     * 批次管理需求的标识
     */
    
    @ApiModelProperty(value = "批次管理需求的标识")
    private String xchpf;
    /**
     * 包装物料类型
     */
    
    @ApiModelProperty(value = "包装物料类型")
    private String vhart;
    /**
     * 最大层次 (按体积)
     */
    
    @ApiModelProperty(value = "最大层次 (按体积)")
    private String fuelg;
    /**
     * 堆栈因子
     */
    
    @ApiModelProperty(value = "堆栈因子")
    private String stfak;
    /**
     * 物料组: 包装物料
     */
    
    @ApiModelProperty(value = "物料组: 包装物料")
    private String magrv;
    /**
     * 权限组
     */
    
    @ApiModelProperty(value = "权限组 ")
    private String begru;
    /**
     * 开始生效日期
     */
    
    @ApiModelProperty(value = "开始生效日期 ")
    private String datab;
    /**
     * 删除日期
     */
    
    @ApiModelProperty(value = "删除日期")
    private String liqdt;
    /**
     * 季度年
     */
    
    @ApiModelProperty(value = "季度年 ")
    private String saisj;
    /**
     * 价格标记类别
     */
    
    @ApiModelProperty(value = "价格标记类别")
    private String plgtp;
    /**
     * 空白物料清单
     */
    
    @ApiModelProperty(value = "空白物料清单")
    private String mlgut;
    /**
     * 外部物料组
     */
    
    @ApiModelProperty(value = "外部物料组 ")
    private String extwg;
    /**
     * 一般可配置物料
     */
    
    @ApiModelProperty(value = "一般可配置物料")
    private String satnr;
    /**
     * 物料类别
     */
    
    @ApiModelProperty(value = "物料类别")
    private String attyp;
    /**
     * 指示符 : 物料是联产品
     */
    
    @ApiModelProperty(value = "指示符 : 物料是联产品")
    private String kzkup;
    /**
     * 标记：物料有一后续物料
     */
    
    @ApiModelProperty(value = "标记：物料有一后续物料")
    private String kznfm;
    /**
     * 定价参考物料
     */
    
    @ApiModelProperty(value = "定价参考物料 ")
    private String pmata;
    /**
     * 跨工厂物料状态
     */
    
    @ApiModelProperty(value = "跨工厂物料状态 ")
    private String mstae;
    /**
     * 跨分销链物料状态
     */
    
    @ApiModelProperty(value = "跨分销链物料状态 ")
    private String mstav;
    /**
     * 从跨工厂物料状态有效起的日期
     */
    
    @ApiModelProperty(value = "从跨工厂物料状态有效起的日期 ")
    private String mstde;
    /**
     * 从跨分销链物料状态有效起的日期
     */
    
    @ApiModelProperty(value = "从跨分销链物料状态有效起的日期 ")
    private String mstdv;
    /**
     * 物料从税收分类
     */
    
    @ApiModelProperty(value = "物料从税收分类 ")
    private String taklv;
    /**
     * 类别参数文件
     */
    
    @ApiModelProperty(value = "类别参数文件")
    private String rbnrm;
    /**
     * 最短剩余货架寿命
     */
    
    @ApiModelProperty(value = "最短剩余货架寿命 ")
    private String mhdrz;
    /**
     * 总货架寿命
     */
    
    @ApiModelProperty(value = "总货架寿命 ")
    private String mhdhb;
    /**
     * 仓储百分比
     */
    
    @ApiModelProperty(value = "仓储百分比 ")
    private String mhdlp;
    /**
     * 内容单位
     */
    
    @ApiModelProperty(value = "内容单位")
    private String inhme;
    /**
     * 净内容
     */
    
    @ApiModelProperty(value = "净内容")
    private String inhal;
    /**
     * 比较价格单位
     */
    
    @ApiModelProperty(value = "比较价格单位")
    private String vpreh;
    /**
     * IS-R 标签：物料组（在 4.0 中不活动）
     */
    
    @ApiModelProperty(value = "IS-R 标签：物料组（在 4.0 中不活动） ")
    private String etiag;
    /**
     * 毛内容
     */
    
    @ApiModelProperty(value = "毛内容 ")
    private String inhbr;
    /**
     * 数量转换方法
     */
    
    @ApiModelProperty(value = "数量转换方法")
    private String cmeth;
    /**
     * 内部对象号
     */
    
    @ApiModelProperty(value = "内部对象号 ")
    private String cuobf;
    /**
     * 环境相关
     */
    
    @ApiModelProperty(value = "环境相关")
    private String kzumw;
    /**
     * 产品分配确定程序
     */
    
    @ApiModelProperty(value = "产品分配确定程序")
    private String kosch;
    /**
     * 变式的定价参数文件
     */
    
    @ApiModelProperty(value = "变式的定价参数文件 ")
    private String sprof;
    /**
     * 针对物料的折扣类型
     */
    
    @ApiModelProperty(value = "针对物料的折扣类型 ")
    private String nrfhg;
    /**
     * 制造商零件编号
     */
    
    @ApiModelProperty(value = "制造商零件编号")
    private String mfrpn;
    /**
     * 制造商号码
     */
    
    @ApiModelProperty(value = "制造商号码")
    private String mfrnr;
    /**
     * 公司自己 (内部) 的盘点管理物料编码
     */
    
    @ApiModelProperty(value = "公司自己 (内部) 的盘点管理物料编码 ")
    private String bmatn;
    /**
     * 制造商部件的参数文件
     */
    
    @ApiModelProperty(value = "制造商部件的参数文件 ")
    private String mprof;
    /**
     * 计量单位使用
     */
    
    @ApiModelProperty(value = "计量单位使用")
    private String kzwsm;
    /**
     * 在季节内展开
     */
    
    @ApiModelProperty(value = "在季节内展开")
    private String saity;
    /**
     * 危险货物标识参数文件
     */
    
    @ApiModelProperty(value = "危险货物标识参数文件")
    private String profl;
    /**
     * 标识符:高粘性的
     */
    
    @ApiModelProperty(value = "标识符:高粘性的")
    private String ihivi;
    /**
     * 标识符:固体/液体
     */
    
    @ApiModelProperty(value = "标识符:固体/液体")
    private String iloos;
    /**
     * 序列号的清晰的级别
     */
    
    @ApiModelProperty(value = "序列号的清晰的级别 ")
    private String serlv;
    /**
     * 包装物料是密闭包装的
     */
    
    @ApiModelProperty(value = "包装物料是密闭包装的")
    private String kzgvh;
    /**
     * 指示符：需要批准的批量记录
     */
    
    @ApiModelProperty(value = "指示符：需要批准的批量记录")
    private String xgchp;
    /**
     * 指定有效参数值/覆盖更改编号
     */
    
    @ApiModelProperty(value = "指定有效参数值/覆盖更改编号")
    private String kzeff;
    /**
     * 物料完成的水平
     */
    
    @ApiModelProperty(value = "物料完成的水平 ")
    private String compl;
    /**
     * 货架寿命到期日的期间标识
     */
    
    @ApiModelProperty(value = "货架寿命到期日的期间标识")
    private String iprkz;
    /**
     * 货架寿命到期日期计算舍入规则
     */
    
    @ApiModelProperty(value = "货架寿命到期日期计算舍入规则")
    private String rdmhd;
    /**
     * 标识：印刷在包装上的产品成份
     */
    
    @ApiModelProperty(value = "标识：印刷在包装上的产品成份")
    private String przus;
    /**
     * 普通项目类别组
     */
    
    @ApiModelProperty(value = "普通项目类别组")
    private String mtposMara;
    /**
     * 含后勤变量的一般物料
     */
    
    @ApiModelProperty(value = "含后勤变量的一般物料 ")
    private String bflme;
    /**
     * 物料被锁定
     */
    
    @ApiModelProperty(value = "物料被锁定 ")
    private String matfi;
    /**
     * 与配置管理相关
     */
    
    @ApiModelProperty(value = "与配置管理相关 ")
    private String cmrel;
    /**
     * 分类清单类型
     */
    
    @ApiModelProperty(value = "分类清单类型")
    private String bbtyp;
    /**
     * 过期日期
     */
    
    @ApiModelProperty(value = "过期日期")
    private String sledBbd;
    /**
     * 全球贸易项目编号变式
     */
    
    @ApiModelProperty(value = "全球贸易项目编号变式")
    private String gtinVariant;
    /**
     * 在预包装物料中的一般物料的物料编码
     */
    
    @ApiModelProperty(value = "在预包装物料中的一般物料的物料编码")
    private String gennr;
    /**
     * 以相同方式包装的物料的参考物料
     */
    
    @ApiModelProperty(value = "以相同方式包装的物料的参考物料 ")
    private String rmatp;
    /**
     * 标识：全局数据同步相关
     */
    
    @ApiModelProperty(value = "标识：全局数据同步相关")
    private String gdsRelevant;
    /**
     * 原始接受
     */
    
    @ApiModelProperty(value = "原始接受")
    private String weora;
    /**
     * 标准处理单位类型
     */
    
    @ApiModelProperty(value = "标准处理单位类型")
    private String hutypDflt;
    /**
     * 可偷窃的
     */
    
    @ApiModelProperty(value = "可偷窃的")
    private String pilferable;
    /**
     * 仓库存储条件
     */
    
    @ApiModelProperty(value = "仓库存储条件")
    private String whstc;
    /**
     * 仓库物料组
     */
    
    @ApiModelProperty(value = "仓库物料组 ")
    private String whmatgr;
    /**
     * 处理标识
     */
    
    @ApiModelProperty(value = "处理标识")
    private String hndlcode;
    /**
     * 与危险物料相关
     */
    
    @ApiModelProperty(value = "与危险物料相关 ")
    private String hazmat;
    /**
     * 处理单位类型
     */
    
    @ApiModelProperty(value = "处理单位类型")
    private String hutyp;
    /**
     * 可变皮重
     */
    
    @ApiModelProperty(value = "可变皮重")
    private String tareVar;
    /**
     * 包装物料的最大允许容量
     */
    
    @ApiModelProperty(value = "包装物料的最大允许容量 ")
    private String maxc;
    /**
     * 处理单位的最大容量容差
     */
    
    @ApiModelProperty(value = "处理单位的最大容量容差 ")
    private String maxcTol;
    /**
     * 包装物料最大包装长度
     */
    
    @ApiModelProperty(value = "包装物料最大包装长度 ")
    private String maxl;
    /**
     * 包装物料最大包装宽度
     */
    
    @ApiModelProperty(value = "包装物料最大包装宽度 ")
    private String maxb;
    /**
     * 包装物料最大包装高度
     */
    
    @ApiModelProperty(value = "包装物料最大包装高度 ")
    private String maxh;
    /**
     * 最大包装长度/宽度/高度的计量单位
     */
    
    @ApiModelProperty(value = "最大包装长度/宽度/高度的计量单位 ")
    private String maxdimUom;
    /**
     * 物料原产地国家
     */
    
    @ApiModelProperty(value = "物料原产地国家 ")
    private String herkl;
    /**
     * 物料运输组
     */
    
    @ApiModelProperty(value = "物料运输组 ")
    private String mfrgr;
    /**
     * 隔离期间
     */
    
    @ApiModelProperty(value = "隔离期间")
    private String qqtime;
    /**
     * 隔离期间的时间单位
     */
    
    @ApiModelProperty(value = "隔离期间的时间单位 ")
    private String qqtimeuom;
    /**
     * 质量检查组
     */
    
    @ApiModelProperty(value = "质量检查组")
    private String qgrp;
    /**
     * 序列号参数文件
     */
    
    @ApiModelProperty(value = "序列号参数文件 ")
    private String serial;
    /**
     * 表格名
     */
    
    @ApiModelProperty(value = "表格名 ")
    private String psSmartform;
    /**
     * EWM CW: 后勤计量单位
     */
    
    @ApiModelProperty(value = "EWM CW: 后勤计量单位")
    private String logunit;
    /**
     * EWM CW: 物料是称重物料
     */
    
    @ApiModelProperty(value = "EWM CW: 物料是称重物料 ")
    private String cwqrel;
    /**
     * EWM CW: 输入 CW 数量的称重参数文件
     */
    
    @ApiModelProperty(value = "EWM CW: 输入 CW 数量的称重参数文件 ")
    private String cwqproc;
    /**
     * EWM-CW: EWM 的称重容差组
     */
    
    @ApiModelProperty(value = "EWM-CW: EWM 的称重容差组")
    private String cwqtolgr;
    /**
     * 调整参数文件
     */
    
    @ApiModelProperty(value = "调整参数文件")
    private String adprof;
    /**
     * 知识产权标识（CRM 产品）
     */
    
    @ApiModelProperty(value = "知识产权标识（CRM 产品） ")
    private String ipmipproduct;
    /**
     * 允许的变式价格（针对物料主数据）
     */
    
    @ApiModelProperty(value = "允许的变式价格（针对物料主数据）")
    private String allowPmatIgno;
    /**
     * 中间
     */
    
    @ApiModelProperty(value = "中间")
    private String medium;
    /**
     * 实物商品
     */
    
    @ApiModelProperty(value = "实物商品")
    private String commodity;
    /**
     * 标识：包含动物源的非纺织部分
     */
    
    @ApiModelProperty(value = "标识：包含动物源的非纺织部分")
    private String animalOrigin;
    /**
     * 标识：新纺织组分功能
     */
    
    @ApiModelProperty(value = "标识：新纺织组分功能")
    private String textileCompInd;
    /**
     * 分段结构
     */
    
    @ApiModelProperty(value = "分段结构")
    private String sgtCsgr;
    /**
     * 分段策略
     */
    
    @ApiModelProperty(value = "分段策略")
    private String sgtCovsa;
    /**
     * 分段物料主数据状态
     */
    
    @ApiModelProperty(value = "分段物料主数据状态 ")
    private String sgtStat;
    /**
     * 分段策略范围
     */
    
    @ApiModelProperty(value = "分段策略范围")
    private String sgtScope;
    /**
     * 分段相关
     */
    
    @ApiModelProperty(value = "分段相关")
    private String sgtRel;
    /**
     * Fashion 信息字段：1
     */
    
    @ApiModelProperty(value = "Fashion 信息字段：1")
    private String fshMgAt1;
    /**
     * Fashion 信息字段：2
     */
    
    @ApiModelProperty(value = "Fashion 信息字段：2")
    private String fshMgAt2;
    /**
     * Fashion 信息字段：3
     */
    
    @ApiModelProperty(value = "Fashion 信息字段：3")
    private String fshMgAt3;
    /**
     * 标识：季节使用
     */
    
    @ApiModelProperty(value = "标识：季节使用 ")
    private String fshSealv;
    /**
     * 特征值转换的物料转换标识
     */
    
    @ApiModelProperty(value = "特征值转换的物料转换标识")
    private String fshScMid;
    /**
     *
     */
    
    @ApiModelProperty(value = "	                                                            ")
    private String anp;
    /**
     * 受保护种类管理代码
     */
    
    @ApiModelProperty(value = "受保护种类管理代码 ")
    private String psmCode;
    /**
     * 装载单位
     */
    
    @ApiModelProperty(value = "装载单位")
    private String bev1Luleinh;
    /**
     * 装载单位组：IS 饮料
     */
    
    @ApiModelProperty(value = "装载单位组：IS 饮料")
    private String bev1Luldegrp;
    /**
     * 容差类型标识
     */
    
    @ApiModelProperty(value = "容差类型标识")
    private String dsdSlToltyp;
    /**
     * 物料关系的结构类别
     */
    
    @ApiModelProperty(value = "物料关系的结构类别 ")
    private String bev1Nestruccat;
    /**
     * 计算组
     */
    
    @ApiModelProperty(value = "计算组 ")
    private String dsdSvCntGrp;
    /**
     * DSD 分组
     */
    
    @ApiModelProperty(value = "DSD 分组")
    private String dsdVcGroup;
    /**
     * 电缆直径
     */
    
    @ApiModelProperty(value = "电缆直径")
    private String sapmpKadu;
    /**
     * 维度单位
     */
    
    @ApiModelProperty(value = "维度单位")
    private String sapmpAbmein;
    /**
     * 电缆直径允许的百分比
     */
    
    @ApiModelProperty(value = "电缆直径允许的百分比")
    private String sapmpKadp;
    /**
     * 弯曲因子
     */
    
    @ApiModelProperty(value = "弯曲因子")
    private String sapmpBrad;
    /**
     * 内部宽度
     */
    
    @ApiModelProperty(value = "内部宽度")
    private String sapmpSpbi;
    /**
     * 外径
     */
    
    @ApiModelProperty(value = "外径")
    private String sapmpTrad;
    /**
     * 芯直径
     */
    
    @ApiModelProperty(value = "芯直径 ")
    private String sapmpKedu;
    /**
     * 装载能力
     */
    
    @ApiModelProperty(value = "装载能力")
    private String sapmpSptr;
    /**
     * 转出法兰厚度
     */
    
    @ApiModelProperty(value = "转出法兰厚度")
    private String sapmpFbdk;
    /**
     * 转出法兰高度
     */
    
    @ApiModelProperty(value = "转出法兰高度")
    private String sapmpFbhk;
    /**
     * 卷交货
     */
    
    @ApiModelProperty(value = "卷交货 ")
    private String sapmpRili;
    /**
     * 转出法兰
     */
    
    @ApiModelProperty(value = "转出法兰")
    private String sapmpFbak;
    /**
     * 最大垂直层数
     */
    
    @ApiModelProperty(value = "最大垂直层数 ")
    private String sapmpAho;
    /**
     * 电缆允许的最小盘料清除
     */
    
    @ApiModelProperty(value = "电缆允许的最小盘料清除 ")
    private String sapmpMifrr;
    /**
     * 可以倾斜物料 (车辆空间优化)
     */
    
    @ApiModelProperty(value = "可以倾斜物料 (车辆空间优化)")
    private String vsoRTiltInd;
    /**
     * 不允许堆栈 (VSO)
     */
    
    @ApiModelProperty(value = "不允许堆栈 (VSO)")
    private String vsoRStackInd;
    /**
     * 底层 (车辆空间最优化)
     */
    
    @ApiModelProperty(value = "底层 (车辆空间最优化)")
    private String vsoRBotInd;
    /**
     * 顶层 (VSO)
     */
    
    @ApiModelProperty(value = "顶层 (VSO)")
    private String vsoRTopInd;


}
