package com.dc.standard.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @description: PDM型号主数据
 * @author: youyong
 * @create: 2022/6/2
 */
@Data
@TableName("pdm_product")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "PDM型号主数据", description = "PDM型号主数据")
public class PdmProduct {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "ID ")
    private String id;
    /**
     * 型号编码(唯一)
     */
    
    @ApiModelProperty(value = "型号编码(唯一) ")
    private String productId;
    /**
     * 型号名称
     */
    
    @ApiModelProperty(value = "型号名称 ")
    private String productName;
    /**
     * 产品密级
     */
    
    @ApiModelProperty(value = "密级 ")
    private String secret;
    /**
     * 型号代码
     */
    
    @ApiModelProperty(value = "型号代码 ")
    private String modelCode;
    /**
     * 型号编号
     */
    
    @ApiModelProperty(value = "型号编号 ")
    private String modelNumber;
    /**
     * 研制阶段
     */
    
    @ApiModelProperty(value = "研制阶段 ")
    private String pmark;
    /**
     * 所属领域
     */
    
    @ApiModelProperty(value = "所属领域")
    private String belongingTerritory;
    /**
     * 所属类别
     */
    
    @ApiModelProperty(value = "所属类别")
    private String belongingCategory;
    /**
     * 说明
     */
    
    @ApiModelProperty(value = "说明 ")
    private String description;
    /**
     * 删除状态(0-正常,1-已删除)
     */
    
    @ApiModelProperty(value = "删除状态(0-正常,1-已删除)")
    @TableLogic
    private Integer delFlag;
    /**
     * 创建人
     */
    
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改人
     */
    
    @ApiModelProperty(value = "修改人")
    private String updateBy;
    /**
     * 修改时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
