package com.dc.standard.report.entity;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: 物料类型表
 * @Author: cc-admin
 * @Date: 2021-12-25
 * @Version: V1.0.0
 */
@Data
@TableName("YS_MES_MATERIAL")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "material对象", description = "物料类型表")
public class YsMaterial {

    /***/
    @ApiModelProperty(value = "")
    private String id;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 物料类型编码
     */
    @ApiModelProperty(value = "物料编码")
    private String code;
    /**
     * 物料规格
     */
    @ApiModelProperty(value = "物料规格")
    private String spec;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 删除标志
     */
    @TableLogic
    @ApiModelProperty(value = "删除标志")
    private Short delFlag;
    /**
     * 密级字段
     */
    @ApiModelProperty(value = "密级字段")
    private String secretDegree;
    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改者
     */
    @ApiModelProperty(value = "修改者")
    private String updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    /**
     * 数据来源
     *
     */
    @ApiModelProperty(value = "数据来源")
    private String dataSource;

    @ApiModelProperty(value = "物料长描述")
    private String  materialLongDescription;
}
