package com.dc.standard.report.job;


import com.dc.standard.report.service.IGuanbiaobaobiaoService;
import com.dc.standard.report.service.IHuoyueduService;

import lombok.extern.slf4j.Slf4j;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;

@Slf4j
@Component
public class DtatisticalDataJob implements Job {
    private final IGuanbiaobaobiaoService guanbiaobaobiaoService;
    private final IHuoyueduService huoyueduService;

    @Autowired
    public DtatisticalDataJob(IGuanbiaobaobiaoService guanbiaobaobiaoService, IHuoyueduService huoyueduService) {
        this.guanbiaobaobiaoService = guanbiaobaobiaoService;
        this.huoyueduService = huoyueduService;
    }


    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        /*log.info("=====贯标报表统计定时任务开始=====");
        guanbiaobaobiaoService.statisticalData();
        huoyueduService.statisticalData();
        log.info("=====贯标报表统计定时任务结束=====");*/
    }
    @Scheduled(cron = "0 0 2 * * ?")
    public void statisticalData() {
        log.info("=====贯标报表统计定时任务开始=====");
        guanbiaobaobiaoService.statisticalData();
        huoyueduService.statisticalData();
        log.info("=====贯标报表统计定时任务结束=====");
    }
}
