package com.dc.standard.report.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.dc.standard.report.entity.QuartzJob;
import org.quartz.SchedulerException;
import org.springframework.data.repository.NoRepositoryBean;
import org.springframework.stereotype.Repository;
import org.springframework.stereotype.Service;

import java.util.List;

public interface IQuartzJobService extends IService<QuartzJob> {

	List<QuartzJob> findByJobClassName(String jobClassName);

	boolean saveAndScheduleJob(QuartzJob quartzJob);

	boolean editAndScheduleJob(QuartzJob quartzJob) throws RuntimeException, SchedulerException;

	boolean deleteAndStopJob(QuartzJob quartzJob);

	boolean resumeJob(QuartzJob quartzJob);

	void schedulerAdd(String jobClassName, String cronExpression, String parameter);

	void schedulerAdd(Class<?> clazz, String cronExpression, String parameter);

	void startJobList();
}
